Grupos de workspaces
Listar programações cron
Recupera todas as programações cron configuradas para um grupo de workspaces. Retorna um conjunto de objetos de programação que contêm expressão cron, fuso horário, tipo, informação do dispositivo intermediário e metadatos de auditoria. Se o grupo de workspaces não tiver programações, será devolvido um conjunto vazio.
GET
/
v1
/
organizations
/
{organization_id}
/
workspace-groups
/
{workspace_group_id}
/
schedules
Listar programações cron
curl --request GET \
--url https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v1/organizations/{organization_id}/workspace-groups/{workspace_group_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "507f1f77bcf86cd799439060",
"cron_expression": "0 8 * * 1-5",
"time_zone": "Eastern Standard Time",
"type": "start",
"intermediate_device": "507f1f77bcf86cd799439050",
"created_by": "507f1f77bcf86cd799439070"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<string>"
}
}Autorizações
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parâmetros de caminho
O identificador único da organização
Maximum string length:
24Pattern:
^[0-9a-f]{24}$O identificador único do grupo de workspaces
Maximum string length:
24Pattern:
^[0-9a-f]{24}$Resposta
Lista de programações recuperada corretamente. Retorna um conjunto de objetos de programação. Conjunto vazio se não existirem programações.
Array de programações cron para o grupo de workspaces
Show child attributes
Show child attributes
⌘I
Listar programações cron
